// C Source File
// Created 16/08/2004; 18:29:46

#include <tigcclib.h>

#include "..\System\Parameters.h"

unsigned char PARAM_PRINT_DIGITS;
BOOL PARAM_PRINT_AT;
short PARAM_PRINT_ATx, PARAM_PRINT_ATy;
short PARAM_PRINT_REAL_ATx, PARAM_PRINT_REAL_ATy;
unsigned char PARAM_FONT; 
unsigned char PARAM_FONT_DIVX, PARAM_FONT_DIVY;
BOOL PARAM_SHOW_ENDTEXT;
unsigned short PARAM_REPEAT_KEYDELAY, PARAM_BETWEEN_KEYDELAY; 

//**************************************
//Initialisation des paramtres
//**************************************
void Param_Initialize (void)
{
	PARAM_PRINT_DIGITS = 6;
	PARAM_SHOW_ENDTEXT = TRUE;
	PARAM_PRINT_AT = FALSE;
	
	PARAM_FONT = F_4x6;
	PARAM_FONT_DIVX = 4; PARAM_FONT_DIVY = 6;
	FontSetSys (F_4x6);
	
	PARAM_PRINT_ATx = 1; PARAM_PRINT_ATy = 1;
	PARAM_PRINT_REAL_ATx = 0; PARAM_PRINT_REAL_ATy = 0;
	MoveTo (0,0);
	
	PARAM_REPEAT_KEYDELAY = DEFAULT_REPEAT_KEYDELAY;
	PARAM_BETWEEN_KEYDELAY = DEFAULT_BETWEEN_KEYDELAY;
	
	randomize ();
	SetCurClip (&(SCR_RECT){{0, 0, LCD_WIDTH-1, LCD_HEIGHT-1}});
}