// Header File
// Created 10/08/2004; 15:05:54
#ifndef __H_INTERRUPT
#define __H_INTERRUPT

extern INT_HANDLER OldInt1;
extern INT_HANDLER OldInt2;
extern INT_HANDLER OldInt5;
extern volatile long counter_time;
extern volatile unsigned short __COUNTER_HARDWARE;
extern volatile unsigned short __COUNTER_TIMER;

//Compatibilit
//310 Hz HW1
//256 Hz HW2
#define __HARDWARE_FREQUENCY				26214 //320 Hz -> 256 Hz
#define __TIMER_FREQUENCY						25600 //256 Hz -> 200 Hz

extern void Interrupt_Init (void);
extern void Interrupt_Uninit (void);
extern void SET_INT1 (void);
extern void EXEC_INT1 (void);

#endif