// Header File
// Created 15/07/2004; 19:07:21
#ifndef __H_STRUCTS
#define __H_STRUCTS

//Structure d'un fichier tokenis				30 octets
typedef struct {
	unsigned char file_id [8];			// "GfaBASIC"
	unsigned char version;					//1
	unsigned char type;
	unsigned char nfloat;
	unsigned char ninteger;
	unsigned char nbool;
	unsigned char nstring;
	unsigned char ntblfloat;
	unsigned char ntblinteger;
	unsigned char ntblbool;
	unsigned char ntblstring;
	unsigned char nlabel;
	unsigned char octet_null;
} FileHeader;

//Chane de caractres
typedef struct {
	unsigned char *data;
	unsigned short size;
} lstring;


//Structure d'un tag
typedef struct {
	//Phase 1
	unsigned char type;
	unsigned char tag;
	unsigned char subtag;
	
	//Phase 2
	unsigned char token_type;			//Token de command ou token de fonction
	unsigned char token_index;		//Index dans la table
	unsigned char symbol_index;		//Index du symbol
	
	//Phase 3
	unsigned char priority;				//Priorit de calcul
	
	//Stockage de donnes
	float fnum;
	long lnum;
	lstring string;
} s_tag;


//Contenu de ExecStack
typedef struct {
	void *adr;
	unsigned char operand;
	unsigned char type;
	void *adr_base;
	unsigned short string_size;
} s_data;


//Structure d'un tableau
typedef struct {
	unsigned char ndim;
	unsigned char nTblDim;
	unsigned short total_dim;
	unsigned short *TblDim;
	void *adr;
} s_TblVar;


//Structure d'adressage des gotos
typedef struct {
	unsigned char lbl_index;
	unsigned short token_address;
} s_GotoJump;


//Structure de saut pour les conditons IF
typedef struct {
	unsigned short nElseIf;
	BOOL branch_else;
	unsigned short token_address;
} s_IFJump;

#endif